<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Phonon.VolumeFaderEffect</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>VolumeFaderEffect Class Reference</h1>
<code>from PyKDE4.phonon import *</code>
<p>
Inherits: <a href="../phonon/Phonon.Effect.html">Phonon.Effect</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />

Namespace: Phonon<br />
<h2>Detailed Description</h2>

<p>\class VolumeFaderEffect volumefadereffect.h Phonon/VolumeFaderEffect
Audio effect to gradually fade the audio volume.
</p>
<p>
This effect differs from gradually changing the output volume in that
a dedicated effect can change the volume in the smallest possible
steps while every other volume control will make more or less
noticeable steps.
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Matthias Kretz &lt;kretz@kde.org&gt; </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd> AudioOutput.volume
</dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj192965868">FadeCurve</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Fade3Decibel, Fade6Decibel, Fade9Decibel, Fade12Decibel&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Phonon.VolumeFaderEffect.FadeCurve&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196903660">fadeCurve</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198556236">fadeIn</a> (self, int fadeTime)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198555820">fadeOut</a> (self, int fadeTime)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184113740">fadeTo</a> (self, float volume, int fadeTime)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192963020">setFadeCurve</a> (self, Phonon.VolumeFaderEffect.FadeCurve curve)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202223500">setVolume</a> (self, float volume)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192748268">setVolumeDecibel</a> (self, float volumeDecibel)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196903500">volume</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196903916">volumeDecibel</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj196903660"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Phonon.VolumeFaderEffect.FadeCurve fadeCurve</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj198556236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fadeIn</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fadeTime</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Tells the Fader to change the volume from the current volume to 100%
in <b>fadeTime</b> milliseconds.
Short for fadeTo(1.0, fadeTime).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>fadeTime</em>&nbsp;</td><td> the fade duration in milliseconds
</td></tr>
</table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> fadeTo
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> volume
</dd></dl>
</p></div></div><a class="anchor" name="obj198555820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fadeOut</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fadeTime</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Tells the Fader to change the volume from the current volume to 0%
in <b>fadeTime</b> milliseconds.
Short for fadeTo(0.0, fadeTime).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>fadeTime</em>&nbsp;</td><td> the fade duration in milliseconds
</td></tr>
</table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> fadeTo
</dd></dl>
</p></div></div><a class="anchor" name="obj184113740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fadeTo</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>volume</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fadeTime</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Tells the Fader to change the volume from the current value to
<b>volume</b> in <b>fadeTime</b> milliseconds
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> fadeIn
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> fadeOut
</dd></dl>
</p></div></div><a class="anchor" name="obj192963020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setFadeCurve</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Phonon.VolumeFaderEffect.FadeCurve&nbsp;</td>
<td class="paramname"><em>curve</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202223500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setVolume</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>volume</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj192748268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setVolumeDecibel</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>volumeDecibel</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj196903500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">float volume</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>more extreme version of the -9dB fade
</p></div></div><a class="anchor" name="obj196903916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">float volumeDecibel</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj192965868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">FadeCurve</td>
</tr>
</table>
</div>
<div class="memdoc"><p>"Crossfade curve" / "fast" fade out
</p>
<p>
Often the best fade for a crossfade, as after half of the
time the volume reached -3dB. This means that half the
possible power (which is proportional to the square of the
voltage) is reached. Summed, the maximum power of two audio
signals fading with a -3dB curve will always be equal.
</p>
<p>
For fading in or out the -3dB curve is too abrupt in the end.
</p>
<p>
This is the default fade curve.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Fade3Decibel</em>&nbsp;</td><td><tr><td valign="top"><em>Fade6Decibel</em>&nbsp;</td><td><tr><td valign="top"><em>Fade9Decibel</em>&nbsp;</td><td><tr><td valign="top"><em>Fade12Decibel</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
